
Redmine - Defect #16018

Email notification for new document not sent

2014-02-04 11:28 - Andrey Ivanov

Status: Needs feedback Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 2.4.2

Description

I have successfully configured e-mail notification for Redmine. Everything works fine except notification when Document added is

set in Administration/Settings/Email notifications. It doesn't work even when I set option Default notification option to For any

event in all my project.

I have checked the old issues but they and their solutions seems not related to my issue (old versions of REDMINE, not configured

e-mai settings and so on).

My configuration is:

Redmine 2.4.2.stableDefault administrator account changed

Attachments directory writable

Plugin assets directory writable

RMagick available (optional)

ImageMagick convert available (optional)

Environment:

Redmine version                2.4.2.stable

Ruby version                   1.8.7-p352 (2011-06-30) [x86_64-linux]

Rails version                  3.2.16

Environment                    production

Database adapter               MySQL

SCM:

Subversion                     1.6.11

Git                            1.7.1

Filesystem

Redmine plugins:

redmine_better_gantt_chart     0.9.0

redmine_rt_custom_field        0.1.1

History

#1 - 2014-03-01 02:28 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Try without plugin.

Test coveres.

http://www.redmine.org/projects/redmine/repository/entry/tags/2.4.3/test/unit/document_test.rb#L31

#2 - 2014-03-03 06:02 - Andrey Ivanov

Hi, Toshi!

Thank you for your answer! Unfortunately I can't uninstall plugins. Deinstallation proceeds without any error but plugins still avialible on the

Administration page

It seems that I have to reinstall Redmine from the beginning.

Regards,

Andrey Ivanov

#3 - 2014-05-09 21:54 - James H

+1
http://www.redmine.org/projects/redmine/repository/entry/tags/2.4.3/test/unit/document_test.rb#L31
http://www.redmine.org/issues/15951#change-54626
http://www.redmine.org/issues/15951#change-54626


Admin>Settings>Email Notifications> CHECK Documents Added

Email people who are involved or watching.

Does not send email notifications upon new added documents.

#4 - 2015-07-14 11:41 - ken t

James H wrote:

+1

Admin>Settings>Email Notifications> CHECK Documents Added

Email people who are involved or watching.

Does not send email notifications upon new added documents.

 +1, redmine 3.0.4, no plugins. settings like above, no email send out.
